using Nethereum.Contracts.Standards.ERC20.TokenList;
using System.Text.Json.Serialization;

namespace Managing.Infrastructure.Evm.Subgraphs.Models;

public class TokenDetails : Token
{

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public string TradeVolume { get; set; }

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public string TradeVolumeUSD { get; set; }

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public string TotalSupply { get; set; }

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public string TotalLiquidity { get; set; }
}
